Subject: bug#36886: 26.2; (global-eldoc-mode -1) should disable eldoc completely

From: Sanel Zukan <[email-masked]>
Date: Fri, 02 Aug 2019 11:35:29 +0200

Here is how to reproduce it with emacs -Q:

1. $ emacs -Q
2. M-x (global-eldoc-mode -1)
;; by not it should be disabled in mode-line, but if you do this:
3. M-: (fboundp '    <-- after entering apostrophe, eldoc will show
'fboundp' protoype in mode-line.

Also after (global-eldoc-mode -1), I don't see anwyhere in eldoc.el code
that eldoc-message-function is changed.

Emacs version: GNU Emacs 26.2 (build 1, x86_64-slackware-linux-gnu, GTK+
Version 3.18.9) of 2019-07-17

Best,
Sanel

Eli Zaretskii <[email-masked]> writes:
>> From: Sanel Zukan <[email-masked]>
>> Date: Thu, 01 Aug 2019 12:30:38 +0200
>> 
>> When Emacs is run with (global-eldoc-mode -1), eldoc is not completely
>> disabled because it will show function arguments inside mode-line.
>
> I don't think I can reproduce this here.  Can you show a complete
> recipe, starting from "emacs -Q"?
>
> Thanks.